import request from '@/utils/request'

// 查询用户提现限额记录列表
export function listSerAppUserWithdrawalLimit(query) {
  return request({
    url: '/service/SerAppUserWithdrawalLimit/list',
    method: 'get',
    params: query
  })
}

// 查询用户提现限额记录详细
export function getSerAppUserWithdrawalLimit(limitId) {
  return request({
    url: '/service/SerAppUserWithdrawalLimit/' + limitId,
    method: 'get'
  })
}

// 新增用户提现限额记录
export function addSerAppUserWithdrawalLimit(data) {
  return request({
    url: '/service/SerAppUserWithdrawalLimit',
    method: 'post',
    data: data
  })
}

// 修改用户提现限额记录
export function updateSerAppUserWithdrawalLimit(data) {
  return request({
    url: '/service/SerAppUserWithdrawalLimit',
    method: 'put',
    data: data
  })
}

// 删除用户提现限额记录
export function delSerAppUserWithdrawalLimit(limitId) {
  return request({
    url: '/service/SerAppUserWithdrawalLimit/' + limitId,
    method: 'delete'
  })
}
